#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "Templates/SubclassOf.h"
#include "GameplayTagContainer.h"
#include "Addon_TormentMode_15.generated.h"

class USurvivorTormentTrailComponent;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UAddon_TormentMode_15 : public UItemAddon
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<USurvivorTormentTrailComponent> _survivorTormentTrailComponentClass;

	UPROPERTY(EditAnywhere)
	FGameplayTagQuery _isTormentedAndRunningQuery;

public:
	UAddon_TormentMode_15();
};

FORCEINLINE uint32 GetTypeHash(const UAddon_TormentMode_15) { return 0; }
